Skip to content

Login

POST
/api/v1/auth/login
curl --request POST \
--url https://api.qeychain.xyz/api/v1/auth/login \
--header 'Content-Type: application/json' \
--data '{ "email": "hello@example.com", "password": "example" }'

Authenticate user and set JWT cookies.

Media typeapplication/json
LoginRequest
object
email
required
Email
string format: email
password
required
Password
string
Examplegenerated
{
"email": "hello@example.com",
"password": "example"
}

Successful Response

Media typeapplication/json
Examplegenerated
example

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example"
}
]
}